# Oauth2Token

A simple library to generate and validate AOL OAuth2 tokens.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'oauth2_token'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install oauth2_token

## Usage

__authenticate and validate__

    # options object 
    opts = { "uri" => "https://<oauth2 provider url>", "realm" => "<your realm>", "scope" => "<comma separated list of scopes>" }

    # generate a token
    token = Oauth2Token.get_token('client_id','client_secret', opts)

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, set values in `spec/oauth2_token_spec.rb`. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

